package com.ejie.ab79.model.REST.servicioWeb;

public class DocumentacionInformeTecnico implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	private Integer idInspeccion;
	private String idInspeccionMovil;
	private String idDocumentoMovil;
	private Integer idPregunta;
	private String idPreguntaMovil;
	private Integer origen;
	private Integer tipoFichero;
	private String nombreFichero;
	private String contenidoFichero;

	public DocumentacionInformeTecnico() {
	}

	/**
	 * @return this.the idInspeccionMovil
	 */
	public Integer getIdInspeccion() {
		return this.idInspeccion;
	}

	/**
	 * @param idInspeccion
	 *            the idInspeccionMovil to set
	 */
	public void setIdInspeccion(Integer idInspeccion) {
		this.idInspeccion = idInspeccion;
	}

	public String getIdInspeccionMovil() {
		return idInspeccionMovil;
	}

	public void setIdInspeccionMovil(String idInspeccionMovil) {
		this.idInspeccionMovil = idInspeccionMovil;
	}

	/**
	 * @return this.the idDocumentoMovil
	 */
	public String getIdDocumentoMovil() {
		return this.idDocumentoMovil;
	}

	/**
	 * @param idDocumentoMovil
	 *            the idDocumentoMovil to set
	 */
	public void setIdDocumentoMovil(String idDocumentoMovil) {
		this.idDocumentoMovil = idDocumentoMovil;
	}

	/**
	 * @return this.the idPregunta
	 */
	public Integer getIdPregunta() {
		return this.idPregunta;
	}

	/**
	 * @param idPregunta
	 *            the idPregunta to set
	 */
	public void setIdPregunta(Integer idPregunta) {
		this.idPregunta = idPregunta;
	}

	/**
	 * @return this.the idPreguntaMovil
	 */
	public String getIdPreguntaMovil() {
		return this.idPreguntaMovil;
	}

	/**
	 * @param idPreguntaMovil
	 *            the idPreguntaMovil to set
	 */
	public void setIdPreguntaMovil(String idPreguntaMovil) {
		this.idPreguntaMovil = idPreguntaMovil;
	}

	/**
	 * @return this.the origen
	 */
	public Integer getOrigen() {
		return this.origen;
	}

	/**
	 * @param origen
	 *            the origen to set
	 */
	public void setOrigen(Integer origen) {
		this.origen = origen;
	}

	/**
	 * @return this.the tipoFichero
	 */
	public Integer getTipoFichero() {
		return this.tipoFichero;
	}

	/**
	 * @param tipoFichero
	 *            the tipoFichero to set
	 */
	public void setTipoFichero(Integer tipoFichero) {
		this.tipoFichero = tipoFichero;
	}

	/**
	 * @return this.the nombreFichero
	 */
	public String getNombreFichero() {
		return this.nombreFichero;
	}

	/**
	 * @param nombreFichero
	 *            the nombreFichero to set
	 */
	public void setNombreFichero(String nombreFichero) {
		this.nombreFichero = nombreFichero;
	}

	/**
	 * @return this.the contenidoFichero
	 */
	public String getContenidoFichero() {
		return this.contenidoFichero;
	}

	/**
	 * @param contenidoFichero
	 *            the contenidoFichero to set
	 */
	public void setContenidoFichero(String contenidoFichero) {
		this.contenidoFichero = contenidoFichero;
	}

	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idInspeccion: ").append(this.idInspeccion).append(" ]");
		result.append(", [ idDocumentoMovil: ").append(this.idDocumentoMovil).append(" ]");
		result.append(", [ idPregunta: ").append(this.idPregunta).append(" ]");
		result.append(", [ idPreguntaMovil: ").append(this.idPreguntaMovil).append(" ]");
		result.append(", [ origen: ").append(this.origen).append(" ]");
		result.append(", [ tipoFichero: ").append(this.tipoFichero).append(" ]");
		result.append(", [ nombreFichero: ").append(this.tipoFichero).append(" ]");
		result.append(", [ contenidoFichero: ").append(this.tipoFichero).append(" ]");
		result.append("}");
		return result.toString();
	}
}
